Bug 1310258 - [abrt] WARNING: CPU: 2 PID: 1 at drivers/iommu/amd_iommu_init.c:2301 amd_iommu_pc_get_set_reg_val+0xa8/0xe0()
[abrt] WARNING: CPU: 2 PID: 1 at drivers/iommu/amd_iommu_init.c:2301 amd_iomm...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6d8cc4785da9c171104095bed7a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 17:03 EST by Dario Castellarin
Modified: 2016-03-24 19:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 19:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (83.02 KB, text/plain)
2016-02-19 17:03 EST, Dario Castellarin
no flags Details
Dmesg with working AMD IOMMU (82.20 KB, text/plain)
2016-02-23 05:01 EST, Dario Castellarin
no flags Details

  None (edit)
Description Dario Castellarin 2016-02-19 17:03:35 EST
Description of problem:
Just happened when booting this kernel for the first time

Additional info:
reporter:       libreport-2.6.4
WARNING: CPU: 2 PID: 1 at drivers/iommu/amd_iommu_init.c:2301 amd_iommu_pc_get_set_reg_val+0xa8/0xe0()
Modules linked in:
CPU: 2 PID: 1 Comm: swapper/0 Not tainted 4.4.2-300.fc23.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 755 G2/221C, BIOS M84 Ver. 01.10 10/20/2015
 0000000000000000 0000000026124b43 ffff88042d687d20 ffffffff813b0c9f
 0000000000000000 ffff88042d687d58 ffffffff810a2f12 ffff88042f014800
 0000000000000040 0000000000000000 ffffffff81d6c73d 0000000000000000
Call Trace:
 [<ffffffff813b0c9f>] dump_stack+0x44/0x55
 [<ffffffff810a2f12>] warn_slowpath_common+0x82/0xc0
 [<ffffffff81d6c73d>] ? memblock_find_dma_reserve+0x16a/0x16a
 [<ffffffff810a305a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814d3f48>] amd_iommu_pc_get_set_reg_val+0xa8/0xe0
 [<ffffffff81dafda7>] iommu_go_to_state+0x4d6/0x1384
 [<ffffffff813c02ea>] ? kvasprintf+0x7a/0xa0
 [<ffffffff81d6c73d>] ? memblock_find_dma_reserve+0x16a/0x16a
 [<ffffffff81db0cbd>] amd_iommu_init+0x13/0x201
 [<ffffffff81d6c74f>] pci_iommu_init+0x12/0x3c
 [<ffffffff81002123>] do_one_initcall+0xb3/0x200
 [<ffffffff810c0935>] ? parse_args+0x295/0x4b0
 [<ffffffff81d621c8>] kernel_init_freeable+0x189/0x223
 [<ffffffff8178dc00>] ? rest_init+0x80/0x80
 [<ffffffff8178dc0e>] kernel_init+0xe/0xe0
 [<ffffffff81799c8f>] ret_from_fork+0x3f/0x70
 [<ffffffff8178dc00>] ? rest_init+0x80/0x80
Comment 1 Dario Castellarin 2016-02-19 17:03:47 EST
Created attachment 1128672 [details]
File: dmesg
Comment 2 Laura Abbott 2016-02-22 13:36:25 EST
Can you test http://koji.fedoraproject.org/koji/taskinfo?taskID=13096023 when it finishes to see if the warnings go away?
Comment 3 Dario Castellarin 2016-02-22 18:09:29 EST
No that build won't even boot, I get a double free error (at a different memory location every time) just after grub.
Comment 4 Laura Abbott 2016-02-22 19:15:36 EST
ugh. thanks for testing. Can you give logs or a screenshot of the error you are seeing?
Comment 5 Dario Castellarin 2016-02-23 05:01 EST
Created attachment 1129689 [details]
Dmesg with working AMD IOMMU
Comment 6 Dario Castellarin 2016-02-23 05:01:39 EST
No sorry, the boot failure happen only with SecureBoot enabled, apparently scratch builds are not signed. I think it still should fail more gracefully...
I can confirm that the issue with AMD IOMMU is fixed in this build, attaching dmesg for proof.
Comment 7 Laura Abbott 2016-02-23 12:29:19 EST
Thanks for following up. There is an existing bug in GRUB about the failure mode of an unsigned build. I agree the failure mode is not very nice.

I'm going to pull the patches in mostly because having the warning on every boot is obnoxious. Thanks again for testing.
Comment 8 Fedora Update System 2016-02-24 12:20:05 EST
kernel-4.4.2-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e12ae5359
Comment 9 Fedora Update System 2016-02-25 21:24:09 EST
kernel-4.4.2-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e12ae5359
Comment 10 Fedora Update System 2016-02-28 07:20:49 EST
kernel-4.4.2-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.